CREATE TABLE person (
    PersonID INT PRIMARY KEY,
    Name VARCHAR(255) NOT NULL,
    Email VARCHAR(255) UNIQUE NOT NULL,
    DOB DATE NOT NULL
);

CREATE TABLE address (
    AddressID INT PRIMARY KEY,
    PersonID INT,
    Street VARCHAR(255) NOT NULL,
    City VARCHAR(100) NOT NULL,
    Country VARCHAR(100) NOT NULL,
    ZipCode VARCHAR(20) NOT NULL,
    FOREIGN KEY (PersonID) REFERENCES person(PersonID) ON DELETE CASCADE
);

CREATE TABLE favorites (
    FavoriteID INT PRIMARY KEY,
    PersonID INT,
    FavoriteBook VARCHAR(255),
    FavoriteDrink VARCHAR(255),
    FavoriteActivity VARCHAR(255),
    FOREIGN KEY (PersonID) REFERENCES person(PersonID) ON DELETE CASCADE
);

CREATE TABLE neighbour (
    NeighbourID INT PRIMARY KEY,
    PersonID INT,
    NeighbourName VARCHAR(255),
    NeighbourEmail VARCHAR(255),
    FOREIGN KEY (PersonID) REFERENCES person(PersonID) ON DELETE CASCADE
);
