import pandas as pd
from setup import collection

file_path = "Assessment2425DataCaseScenario.xlsx" 
df = pd.read_excel(file_path)

# Convert Excel data to a format suitable for MongoDB
persons_data = []
for _, row in df.iterrows():
    person = {
        "name": row["Name"],
        "email": row["Email"],
        "dob": row["DOB"],
        "address": {
            "street": row["Street"],
            "city": row["City"],
            "country": row["Country"],
            "zip_code": str(row["Zip Code"])  # Convert zip code to string
        },
        "favourites": {
            "book": row["Favorite Book"],
            "drink": row["Favorite Drink"],
            "activity": row["Favorite Activity"]
        },
        "neighbours": [
            {"name": row["Neighbour 1"], "email": row["Neighbour1Email"]} if pd.notna(row["Neighbour 1"]) else None,
            {"name": row["Neighbour 2"], "email": row["Neighbour2Email"]} if pd.notna(row["Neighbour 2"]) else None
        ]
    }
    
    person["neighbours"] = [n for n in person["neighbours"] if n is not None]

    persons_data.append(person)

collection.insert_many(persons_data)
print("Excel data inserted into MongoDB successfully!")
